complexType "PaymentDetail"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | paymentDate?, paymentRule?, paymentAmount?
</...>

Content Model Elements (3):

  paymentAmount (in paymentDetail), paymentDate (in paymentDetail), | paymentRule

All Direct / Indirect Based Elements (1):

  paymentDetail

Known Usage Locations

- As direct type of elements (1):
  paymentDetail

Type Definition Detail

Type Derivation Tree PaymentBase (extension) PaymentDetail

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="PaymentDetail"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrRelativeDate"/> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:element minOccurs="0" name="paymentRule" type="PaymentRule"/> <xsd:element minOccurs="0" name="paymentAmount" type="Money"/> </xsd:sequence> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
paymentAmount

  Type: | Money, complex content

  A fixed payment amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentAmount" type="Money"/>

paymentDate

  Type: | AdjustableOrRelativeDate, complex content

  Payment date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrRelativeDate"/>

paymentRule

  Type: | PaymentRule, empty content

  A type defining the calculation rule.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentRule" type="PaymentRule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.